List Documents (?trustTier=human-reviewed)
GET
/api/v1/sources/{id}/documentsRequires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/sources/string/documents"{ "source": { "id": "string", "collectionId": "string", "name": "string", "kind": "file", "status": "error", "error": "string", "config": { "url": "string", "maxPages": 0, "includeGlobs": [ "string" ], "excludeGlobs": [ "string" ], "fetchFiles": false, "throttle": false, "pageTimeoutSecs": 0, "waitSecs": 0, "loginProtected": false, "crawlerProvider": "auto", "resolvedCrawlerProvider": "local", "crawlRunId": "string", "crawlDatasetId": "string", "crawlIngestCursor": "string", "crawlIngestGenerationId": "string", "crawlIngestExpectedGenerationId": "string", "crawlIngestedPages": 0, "crawlTotalPages": 0, "crawlStagedPages": 0, "crawlRemoteProgress": { "crawled": 0, "found": null }, "sourceIngestGenerationId": "string", "sourceIngestExpectedGenerationId": "string", "sourceIngestCursor": 0, "crawlStartedAt": "string", "crawlEscalated": false, "crawlBlockedReason": "string", "crawlCredential": "organization", "applicationProvider": "salesforce", "applicationImportId": "string", "remoteId": "string", "remoteUrl": null, "remoteRevision": null, "remoteUpdatedAt": null, "remoteMetadata": { "property1": null, "property2": null }, "triage": { "scanner": "document-triage", "version": 0, "sha256": "string", "verdict": "clean", "at": "string" } }, "recrawlSchedule": "never", "lastCrawledAt": null, "originalObjectPath": null, "activeGenerationId": "string", "createdAt": "string", "updatedAt": "string" }, "items": [ { "trustTier": "unverified", "id": "string", "path": "string", "title": "string", "resourceUrl": null, "excluded": true, "indexed": true, "createdAt": "string" } ], "total": 0, "page": 0, "pageSize": 0, "memoryCounts": { "property1": 0, "property2": 0 }, "qualityAvailable": true, "usage": null}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}